---
updatedAt: 2026-06-29T20:36:51.000Z
---

Fetch the complete documentation index at: https://developers.pismo.io/pismo-docs/llms.txt. Use this file to discover all available pages before exploring further.

# Get transaction count

Returns the number of transactions that match the given search parameters.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "tags": [
    {
      "name": "Transactions",
      "description": "Endpoints to retrieve transaction data."
    }
  ],
  "info": {
    "title": "Core platform - Transactions",
    "version": "1.0.0",
    "description": "API used to configure transactions domain and get transactions information.",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    }
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io/transactions-core",
      "description": "Sandbox API server for testing"
    }
  ],
  "components": {
    "parameters": {
      "authorizationType": {
        "in": "query",
        "name": "authorizationType",
        "description": "The authorization type",
        "schema": {
          "type": "string",
          "enum": [
            "NETWORK",
            "PLATFORM"
          ]
        }
      },
      "authorizationID": {
        "in": "query",
        "name": "authorizationId",
        "description": "The authorization ID",
        "schema": {
          "type": "integer",
          "format": "int64",
          "example": 1
        }
      },
      "customerID": {
        "in": "query",
        "name": "customerId",
        "description": "Customer ID",
        "schema": {
          "type": "integer",
          "format": "int64"
        }
      },
      "statementID": {
        "in": "query",
        "name": "statementId",
        "description": "Statement ID",
        "schema": {
          "type": "integer",
          "format": "int64"
        }
      },
      "eventDateStart": {
        "in": "query",
        "name": "eventDateStart",
        "description": "Event date period start",
        "schema": {
          "type": "string",
          "format": "date or date-time",
          "example": "2021-06-26T12:03:04Z"
        }
      },
      "eventDateEnd": {
        "in": "query",
        "name": "eventDateEnd",
        "description": "Event date period end",
        "schema": {
          "type": "string",
          "format": "date or date-time",
          "example": "2021-06-26T12:03:04Z"
        }
      },
      "transactionTypeIdQuery": {
        "in": "query",
        "name": "transactionTypeId",
        "description": "Transaction type ID filter.",
        "schema": {
          "type": "integer",
          "format": "int64"
        },
        "example": 101010
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Account access token. Tokens can expire quickly, which can result in an \"Unauthorized\" error.",
        "bearerFormat": "JWT"
      }
    },
    "schemas": {
      "TransactionsCount": {
        "type": "object",
        "properties": {
          "total_items": {
            "type": "integer",
            "description": "Total transaction count"
          }
        },
        "example": {
          "total_items": 100
        }
      },
      "ErrorResponse": {
        "type": "object",
        "properties": {
          "message": {
            "type": "string",
            "description": "Error description."
          },
          "error": {
            "type": "string",
            "description": "Error description."
          },
          "code": {
            "type": "string",
            "description": "Code description."
          }
        }
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/v2/transactions/total-items": {
      "get": {
        "tags": [
          "Transactions"
        ],
        "summary": "Get transaction count",
        "description": "Returns the number of transactions that match the given search parameters.\n",
        "operationId": "SearchTranscationMetaDataCount",
        "parameters": [
          {
            "$ref": "#/components/parameters/statementID"
          },
          {
            "$ref": "#/components/parameters/customerID"
          },
          {
            "$ref": "#/components/parameters/transactionTypeIdQuery"
          },
          {
            "in": "query",
            "name": "processingCode",
            "description": "Processing code",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "credit",
            "description": "Count only credit (`true`) or debit (`false`).",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "$ref": "#/components/parameters/authorizationID"
          },
          {
            "$ref": "#/components/parameters/authorizationType"
          },
          {
            "$ref": "#/components/parameters/eventDateStart"
          },
          {
            "$ref": "#/components/parameters/eventDateEnd"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/TransactionsCount"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/ErrorResponse"
                    }
                  ]
                },
                "examples": {
                  "invalidRequestHeaders": {
                    "summary": "Invalid request headers",
                    "value": {
                      "message": "Invalid request headers",
                      "error": "Invalid request headers",
                      "code": "WTRC00002"
                    }
                  },
                  "invalidRequestParameter": {
                    "summary": "Invalid request parameters",
                    "value": {
                      "message": "Invalid request parameters",
                      "error": "Invalid request parameters",
                      "code": "WTRC00003"
                    }
                  },
                  "invalidFilterValue": {
                    "summary": "Invalid filter value",
                    "value": {
                      "message": "Invalid filter value",
                      "error": "Invalid filter value",
                      "code": "WTRC00001"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal error",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/ErrorResponse"
                    }
                  ]
                },
                "examples": {
                  "internalProcessingError": {
                    "summary": "Internal processing error",
                    "value": {
                      "message": "Internal processing error",
                      "error": "Internal processing error",
                      "code": "ETRC00001"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```